import { IExecutionContext } from "./IExecutionContext";
import { DomRenderer, Base, Type } from "./type";
export declare class DOMExecutionContext extends Base implements IExecutionContext {
    constructor(a: DomRenderer);
    private c;
    private b;
    private _requestAnimationFrame;
    private requestAnimationFrame;
    execute(a: () => void): void;
    enqueueAction(a: () => void): void;
    enqueueAnimationAction(a: () => void): void;
    executeDelayed(a: () => void, b: number): void;
    getCurrentRelativeTime(): number;
    static $t: Type;
}
